on MakeTune
  global gGameSol, gTreeOrder, gNoteOrder, gNoteCount, gDifficultyLevel, gFrameCounter, gFailed, gNumberOfMovesLeft
  theOrder = EMPTY
  theChoices = "1234"
  repeat with i = 1 to 4
    whichNext = random(length(theChoices))
    put char whichNext of theChoices after theOrder
    delete char whichNext of theChoices
  end repeat
  gTreeOrder = theOrder
  case gDifficultyLevel of
    1:
      soundA = item random(4) of "bird01,bird02,razz01,razz02"
      soundB = item random(6) of "clang01,clang02,horn01,horn02,pop01,pop02"
    2:
      whichItem = random(4)
      soundA = item whichItem of "bird01,clang02,clang01,horn01"
      soundB = item whichItem of "bird02,pop01,horn02,razz02"
    3:
      whichItem = random(3)
      soundA = item whichItem of "bird,razz,horn" & "01"
      soundB = item whichItem of "bird,razz,horn" & "02"
  end case
  if random(10) > 5 then
    theMainSound = soundA
    theBadSound = soundB
  else
    theMainSound = soundB
    theBadSound = soundA
  end if
  repeat with i = 1 to 4
    put theMainSound into item i of theTune
  end repeat
  BumNote = random(4)
  put theBadSound into item BumNote of theTune
  gNoteOrder = theTune
  gGameSol = value(char BumNote of gTreeOrder)
  gFrameCounter = 0
  gNoteCount = 0
  gFailed = 0
  case gDifficultyLevel of
    1:
      gNumberOfMovesLeft = 4
    2:
      gNumberOfMovesLeft = 2
    3:
      gNumberOfMovesLeft = 2
  end case
end

on CheckVoice
  global gTreeOrder, gNoteOrder, gNoteCount, gCurrentScreen
  if not soundBusy(2) then
    gNoteCount = gNoteCount + 1
    if gNoteCount > 4 then
      sprite(30).member = "empty"
      go(the frame + 1)
    else
      puppetSound(gNoteCount, "78_" & item gNoteCount of gNoteOrder)
      whichTree = char gNoteCount of gTreeOrder
      PlaySeq(30, gCurrentScreen & "_" & string(whichTree) & "_sing", "fwd", EMPTY)
    end if
  end if
end

on SingAgain
  global gFrameCounter, gNoteCount, gFailed, gCurrentScreen, gInactivities
  if voidp(gInactivities) then
    gInactivities = "0"
  end if
  whichInactivity = value(gInactivities + 1)
  PromptList = EMPTY
  theInactField = "781.inactivities"
  PromptList = field(theInactField)
  if PromptList <> EMPTY then
    PromptCount = PromptList.items.count
    if (whichInactivity mod 2) = 0 then
      HostSound("78421" & GetResponse(4, "3567"))
    else
      whichPrompt = ((whichInactivity - 1) / 2 mod 3) + 1
      HostSound("783" & string(whichPrompt))
    end if
  end if
  gInactivities = string(whichInactivity)
  gFrameCounter = 0
  gNoteCount = 0
  gFailed = 0
  set the timeoutLength to 12 * 60
  go(label(gCurrentScreen & "_main") + 1)
end
